<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	template="/WEB-INF/templates/menu_template.xhtml">

	<ui:define name="tituloPagina">#{msgCategoria.bcCategoriasCrear}</ui:define>

	<ui:define name="cuerpoPagina">
		<h:form id="form">
		   #{beanCategoria.initCategoria()}
			<p:breadCrumb>
				<p:menuitem value="#{msgCategorias.bcInicio}"
					url="${request.contextPath}/" />
				<p:menuitem value="#{msgCategorias.bcCategoria}" url="#" />
				<p:menuitem value="#{msgCategorias.bcCategoriaCrear}"
					url="${request.contextPath}/categoria/crear.faces" />
			</p:breadCrumb>

			<p:growl id="messages" showDetail="true" showSummary="true"
				for="msgGrowl" escape="false" />

			<p:panelGrid id="panel" style="width: 80%;">
				<f:facet name="header">
					<p:row>
						<p:column colspan="2">
							<p:outputLabel>#{msgCategorias.tituloCrear}</p:outputLabel>
						</p:column>
					</p:row>
				</f:facet>

				<p:row>
					<p:column style="width: 20%;">
						<h:outputLabel for="nombreCategoria"
							value="#{msgCategorias.nombreCategoria}" />
					</p:column>

					<p:column style="width: 80%;'">
						<p:inputText id="nombreCategoria"
							value="#{beanCategoria.objCategoria.nombreCategoria}"
							required="true" style="width: 50%; line-height: 20px;"
							requiredMessage="#{msgCategorias.nombreCategoriaRequerido}" />
						<p:message for="nombreCategoria" style="width: 40%;" />
					</p:column>
				</p:row>

				<p:row>
					<p:column style="width: 20%;">
						<h:outputLabel for="estado" value="#{msgCategorias.estado}" />
					</p:column>

					<p:column style="width: 80%;'">

						<p:selectOneMenu id="estado"
							value="#{beanCategoria.objCategoria.estado}" required="true"
							style="width: 50%; line-height: 20px;"
							requiredMessage="#{msgCategorias.estadoRequerido}">

							<f:selectItem itemLabel="#{msgCategorias.comboEstadoSeleccionar}"
								itemValue="" />
							<f:selectItem itemLabel="#{msgCategorias.comboEstadoActivo}"
								itemValue="1" />
							<f:selectItem itemLabel="#{msgCategorias.comboEstadoInactivo}"
								itemValue="2" />

							<f:facet name="footer">
								<p:separator />
								<h:outputText value="#{msgCategorias.comboEstadoFooter}"
									style="font-weight: bold;" />
							</f:facet>

						</p:selectOneMenu>
						<p:message for="estado" style="width: 40%;" />
					</p:column>
				</p:row>

				<f:facet name="footer">

					<p:row>
						<p:column style="width: 20%;">
						</p:column>

						<p:column style="width: 80%;">
							<p:commandButton value="#{msgCategorias.btnCrear}" ajax="true"
								update="panel messages" action="#{beanCategoria.btnCrear()}" />
						</p:column>
					</p:row>

				</f:facet>

			</p:panelGrid>

		</h:form>

	</ui:define>

</ui:composition>